Skip to main content
GET
https://api.0xarchive.io
/
v1
/
hyperliquid
/
candles
/
{symbol}
Get Hyperliquid OHLCV candles
curl --request GET \
  --url https://api.0xarchive.io/v1/hyperliquid/candles/{symbol} \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": [
    {
      "timestamp": "2026-01-01T12:00:00Z",
      "open": 42500.5,
      "high": 42750,
      "low": 42300.25,
      "close": 42650.75,
      "volume": 1250.5,
      "quote_volume": 53187500,
      "trade_count": 4520
    }
  ],
  "meta": {
    "count": 123,
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.0xarchive.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

API key for authentication. Get yours at https://www.0xarchive.io/dashboard/

Path Parameters

symbol
string
required

Trading pair symbol (e.g., BTC, ETH, SOL)

Example:

"BTC"

Query Parameters

start
integer<int64>

Start timestamp in Unix milliseconds. Defaults to 24h ago.

end
integer<int64>

End timestamp in Unix milliseconds. Defaults to now.

interval
enum<string>
default:1h

Candle interval (default: 1h)

Available options:
1m,
5m,
15m,
30m,
1h,
4h,
1d,
1w
cursor
string

Cursor for pagination (use the value from previous response's next_cursor)

limit
integer
default:100

Maximum number of results (default: 100, max: 10000)

Required range: x <= 10000

Response

List of OHLCV candles with cursor for next page

API response containing an array of candle data

success
boolean
Example:

true

data
object[]
meta
object
Last modified on May 20, 2026